maglore46

Installing Synergy 2 beta on CentOS 6

6 posts in this topic

Just an FYI, the base synergy 2 beta rpm package install fails with the error "Requires libstdc++.so.6(GLIBC_2.14)(64Bit)" and error "Requires libc.so.6(GLIBC_2.14)(64Bit).

However, when I run "yum whatprovides libc.so.6"

I get the response of "glibc-2.12.-1.209.el6_9.2.686"

and when I check I already have that installed. 

I checked to see if there was a "glibc-2.14*.686" and nothing was found.

Share this post


Link to post
Share on other sites

@maglore46 There are 2 issues here. One is that we currently aren't building for 32-bit machines, and the other is that CentOS 6.x by default doesn't ship with new enough versions of Qt and other system libraries to run the Synergy 2 GUI.

We should be able to support CentOS 6 at some point in the future (by using backports from the Fedora EPEL repository), but right now we want to remain flexible and haven't finalised our requirements, so we're restricting support during the beta phase to CentOS 7 64-bit.

Share this post


Link to post
Share on other sites

No worries. I'm not concerned. At some point I will upgrad to cent os 7. Just wanted you to be aware of the issue. 

I have been a user of synergy forever, and have always received top notch support. Thank you for answering. 

Share this post


Link to post
Share on other sites

I've also found that version 1.9.1 is asking for  "Requires libstdc++.so.6(GLIBC_2.14)(64Bit) on a Centos 6 (64) machine - I have V1.8.8 running, but wanted to upgrade it....

  • Like 1

Share this post


Link to post
Share on other sites
Posted (edited)
On 4/16/2018 at 5:29 AM, Stuart Walker said:

I've also found that version 1.9.1 is asking for  "Requires libstdc++.so.6(GLIBC_2.14)(64Bit) on a Centos 6 (64) machine - I have V1.8.8 running, but wanted to upgrade it....

@Nick Bolton: Any chance to get version 1.9.1 working on CentOS 6?  Or version 2?

Edited by WolfBln

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now